diff --git a/plugins/flashrom/fu-flashrom-device.c b/plugins/flashrom/fu-flashrom-device.c
index 291db2b1ae0..3aa0877b1f8 100644
--- a/plugins/flashrom/fu-flashrom-device.c
+++ b/plugins/flashrom/fu-flashrom-device.c
@@ -119,7 +119,10 @@ fu_flashrom_device_probe (FuDevice *device, GError **error)
 				fu_udev_device_get_sysfs_path (FU_UDEV_DEVICE (device)));
 	fu_device_set_physical_id (device, path);
 	dev_name = fu_udev_device_get_sysfs_attr (FU_UDEV_DEVICE (device), "name", error);
-	fu_device_add_instance_id_full (device, dev_name, FU_DEVICE_INSTANCE_FLAG_ONLY_QUIRKS);
+	if (dev_name != NULL) {
+		fu_device_add_instance_id_full (device, dev_name,
+						FU_DEVICE_INSTANCE_FLAG_ONLY_QUIRKS);
+	}
 	return TRUE;
 }
 
